Modify

#247 closed defect (wontfix)

win32 port

Reported by: anonymous Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Windows
OS version/distro: Windows

Description

The win32 port is old. I am requesting a new build :)

0.92 sometimes tells me after connecting that "The nick is (probably) not registered" but it is. Then if I try to register, it says "The nick is already registered". I have created an alias in mIRC to manually rename all nicknames on the buddy list and to create account data, because if this bug happens, I have to manually remove the files in the configuration directory and re-create the account.

Attachments (0)

Change History (3)

comment:1 Changed at 2013-12-08T17:41:25Z by Jelmer Vernooij

Operating System: Public serverWindows

Sorry, I'm not maintaining the win32 build anymore. I suspect that at this point there is a fair amount of patching to be done to get it to work again.

comment:2 Changed at 2014-01-07T01:27:34Z by dx <dx@…>

I checked win32.c yesterday out of curiosity. It's in a really sad state, most of the features implemented in unix.c are missing. The commit logs show 10 commits, most of them 6-8 years ago, the only one from the 3.0 era was just a removal of a deprecated #include. Let's just drop it and tell people to use cygwin or public servers.

Ticket #273 can be nuked too

comment:3 Changed at 2014-09-27T16:55:38Z by dx

Resolution: wontfix
Status: newclosed

Revision 1053 removes the old win32 support. Use cygwin instead (recent revisions also improved support for it)

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.